fix build breakage found by randconfig

Signed-off-by: Denys Vlasenko <vda.linux@googlemail.com>
This commit is contained in:
Denys Vlasenko 2012-04-20 14:48:00 +02:00
parent b110e1fecb
commit 8cab66730a
7 changed files with 21 additions and 5 deletions

View File

@ -53,6 +53,7 @@ lib-$(CONFIG_UNCOMPRESS) += decompress_uncompress.o
lib-$(CONFIG_UNZIP) += decompress_gunzip.o
lib-$(CONFIG_LZOP) += lzo1x_1.o lzo1x_1o.o lzo1x_d.o
lib-$(CONFIG_LZOP_COMPR_HIGH) += lzo1x_9x.o
lib-$(CONFIG_MODINFO) += open_transformer.o
lib-$(CONFIG_FEATURE_SEAMLESS_Z) += open_transformer.o decompress_uncompress.o
lib-$(CONFIG_FEATURE_SEAMLESS_GZ) += open_transformer.o decompress_gunzip.o
lib-$(CONFIG_FEATURE_SEAMLESS_BZ2) += open_transformer.o decompress_bunzip2.o

View File

@ -170,6 +170,7 @@ lib-$(CONFIG_PING) += inet_cksum.o
lib-$(CONFIG_TRACEROUTE) += inet_cksum.o
lib-$(CONFIG_TRACEROUTE6) += inet_cksum.o
lib-$(CONFIG_UDHCPC) += inet_cksum.o
lib-$(CONFIG_UDHCPC6) += inet_cksum.o
lib-$(CONFIG_UDHCPD) += inet_cksum.o
# We shouldn't build xregcomp.c if we don't need it - this ensures we don't

View File

@ -1676,7 +1676,7 @@ static int checkPermIP(void)
#if ENABLE_FEATURE_HTTPD_BASIC_AUTH
# if ENABLE_FEATURE_HTTPD_AUTH_MD5 && ENABLE_PAM
# if ENABLE_PAM
struct pam_userinfo {
const char *name;
const char *pw;
@ -1842,7 +1842,9 @@ static int check_user_passwd(const char *path, char *user_and_passwd)
if (passwd[0] == '$' && isdigit(passwd[1])) {
char *encrypted;
# if !ENABLE_PAM
check_encrypted:
# endif
/* encrypt pwd from peer and check match with local one */
encrypted = pw_encrypt(
/* pwd (from peer): */ colon_after_user + 1,

View File

@ -115,7 +115,11 @@ int FAST_FUNC d6_send_kernel_packet(
struct in6_addr *dst_ipv6, int dest_port
);
#if defined CONFIG_UDHCP_DEBUG && CONFIG_UDHCP_DEBUG >= 2
void FAST_FUNC d6_dump_packet(struct d6_packet *packet);
#else
# define d6_dump_packet(packet) ((void)0)
#endif
POP_SAVED_FUNCTION_VISIBILITY

View File

@ -19,7 +19,7 @@
//applet:IF_UDHCPC6(APPLET(udhcpc6, BB_DIR_USR_BIN, BB_SUID_DROP))
//kbuild:lib-$(CONFIG_UDHCPC6) += d6_dhcpc.o d6_packet.o d6_socket.o common.o
//kbuild:lib-$(CONFIG_UDHCPC6) += d6_dhcpc.o d6_packet.o d6_socket.o common.o socket.o signalpipe.o
#include <syslog.h>

View File

@ -1,5 +1,7 @@
#!/bin/sh
run_testsuite=true
test -d "$1" || { echo "'$1' is not a directory"; exit 1; }
test -x "$1/scripts/randomtest" || { echo "No scripts/randomtest in '$1'"; exit 1; }
@ -21,7 +23,9 @@ while sleep 1; do
echo "Failed build in: failed.$dir"
exit 1 # you may comment this out...
let fail++
else
continue
fi
if $run_testsuite; then
(
cd -- "$dir/testsuite" || exit 1
echo "Running testsuite in $dir..."
@ -29,10 +33,12 @@ while sleep 1; do
)
if test $? != 0; then
echo "Failed runtest in $dir"
exit 1
exit 1 # you may comment this out...
let fail++
continue
fi
tail -n10 -- "$dir/testsuite/runtest.log"
rm -rf -- "$dir"
fi
rm -rf -- "$dir"
let cnt++
done

View File

@ -324,6 +324,8 @@ typedef void (*hush_sighandler_t)(int);
# define ENABLE_FEATURE_EDITING 0
# undef ENABLE_FEATURE_EDITING_FANCY_PROMPT
# define ENABLE_FEATURE_EDITING_FANCY_PROMPT 0
# undef ENABLE_FEATURE_EDITING_SAVE_ON_EXIT
# define ENABLE_FEATURE_EDITING_SAVE_ON_EXIT 0
#endif
/* Do we support ANY keywords? */